Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class PlaceboTransaction

    java.lang.Object
      org.neo4j.kernel.PlaceboTransaction

All Implemented Interfaces:
  Transaction

    public class PlaceboTransaction

extends Object
implements Transaction

Constructor Summary
`PlaceboTransaction(TransactionManager transactionManager)`

Method Summary
`void` | `failure()` Marks this transaction as failed, which means that it will unconditionally be rolled back when `Transaction.finish()` is called.
`void` | `finish()` Commits or marks this transaction for rollback, depending on whether `Transaction.success()` or `Transaction.failure()` has been previously invoked.
`void` | `success()` Marks this transaction as successful, which means that it will be committed upon invocation of `Transaction.finish()` unless `Transaction.failure()` has or will be invoked before then.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlaceboTransaction

    public PlaceboTransaction(TransactionManager transactionManager)

Method Detail

### failure

    public void failure()

  Description copied from interface: `Transaction`
  Marks this transaction as failed, which means that it will unconditionally be rolled back when `Transaction.finish()` is called. Once this method has been invoked, it doesn't matter if `Transaction.success()` is invoked afterwards -- the transaction will still be rolled back.

  Specified by:
    `failure` in interface `Transaction`

### success

    public void success()

  Description copied from interface: `Transaction`
  Marks this transaction as successful, which means that it will be committed upon invocation of `Transaction.finish()` unless `Transaction.failure()` has or will be invoked before then.

  Specified by:
    `success` in interface `Transaction`

### finish

    public void finish()

  Description copied from interface: `Transaction`
  Commits or marks this transaction for rollback, depending on whether `Transaction.success()` or `Transaction.failure()` has been previously invoked.

  Specified by:
    `finish` in interface `Transaction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.